| eMD IIM4265x Driver API 1.0.0

Data Fields
inv_ixm42xxx_interrupt_parameter_t Struct Reference
Ixm42xxx driver high level functions

Ixm42xxx set of interrupt enable flag. More...

`#include <Ixm42xxxDriver_HL.h>`

## Data Fields
inv_ixm42xxx_interrupt_value | INV_IXM42XXX_UI_FSYNC
inv_ixm42xxx_interrupt_value | INV_IXM42XXX_UI_DRDY
inv_ixm42xxx_interrupt_value | INV_IXM42XXX_FIFO_THS
inv_ixm42xxx_interrupt_value | INV_IXM42XXX_FIFO_FULL
inv_ixm42xxx_interrupt_value | INV_IXM42XXX_SMD
inv_ixm42xxx_interrupt_value | INV_IXM42XXX_WOM_X
inv_ixm42xxx_interrupt_value | INV_IXM42XXX_WOM_Y
inv_ixm42xxx_interrupt_value | INV_IXM42XXX_WOM_Z
inv_ixm42xxx_interrupt_value | INV_IXM42XXX_STEP_DET
inv_ixm42xxx_interrupt_value | INV_IXM42XXX_STEP_CNT_OVFL
inv_ixm42xxx_interrupt_value | INV_IXM42XXX_TILT_DET
inv_ixm42xxx_interrupt_value | INV_IXM42XXX_SLEEP_DET
inv_ixm42xxx_interrupt_value | INV_IXM42XXX_WAKE_DET
inv_ixm42xxx_interrupt_value | INV_IXM42XXX_TAP_DET

## Detailed Description

Ixm42xxx set of interrupt enable flag.

Definition at line 230 of file Ixm42xxxDriver_HL.h.

## Field Documentation

## ◆ INV_IXM42XXX_FIFO_FULL

inv_ixm42xxx_interrupt_value INV_IXM42XXX_FIFO_FULL

Definition at line 234 of file Ixm42xxxDriver_HL.h.

## ◆ INV_IXM42XXX_FIFO_THS

inv_ixm42xxx_interrupt_value INV_IXM42XXX_FIFO_THS

Definition at line 233 of file Ixm42xxxDriver_HL.h.

## ◆ INV_IXM42XXX_SLEEP_DET

inv_ixm42xxx_interrupt_value INV_IXM42XXX_SLEEP_DET

Definition at line 242 of file Ixm42xxxDriver_HL.h.

## ◆ INV_IXM42XXX_SMD

inv_ixm42xxx_interrupt_value INV_IXM42XXX_SMD

Definition at line 235 of file Ixm42xxxDriver_HL.h.

## ◆ INV_IXM42XXX_STEP_CNT_OVFL

inv_ixm42xxx_interrupt_value INV_IXM42XXX_STEP_CNT_OVFL

Definition at line 240 of file Ixm42xxxDriver_HL.h.

## ◆ INV_IXM42XXX_STEP_DET

inv_ixm42xxx_interrupt_value INV_IXM42XXX_STEP_DET

Definition at line 239 of file Ixm42xxxDriver_HL.h.

## ◆ INV_IXM42XXX_TAP_DET

inv_ixm42xxx_interrupt_value INV_IXM42XXX_TAP_DET

Definition at line 244 of file Ixm42xxxDriver_HL.h.

## ◆ INV_IXM42XXX_TILT_DET

inv_ixm42xxx_interrupt_value INV_IXM42XXX_TILT_DET

Definition at line 241 of file Ixm42xxxDriver_HL.h.

## ◆ INV_IXM42XXX_UI_DRDY

inv_ixm42xxx_interrupt_value INV_IXM42XXX_UI_DRDY

Definition at line 232 of file Ixm42xxxDriver_HL.h.

## ◆ INV_IXM42XXX_UI_FSYNC

inv_ixm42xxx_interrupt_value INV_IXM42XXX_UI_FSYNC

Definition at line 231 of file Ixm42xxxDriver_HL.h.

## ◆ INV_IXM42XXX_WAKE_DET

inv_ixm42xxx_interrupt_value INV_IXM42XXX_WAKE_DET

Definition at line 243 of file Ixm42xxxDriver_HL.h.

## ◆ INV_IXM42XXX_WOM_X

inv_ixm42xxx_interrupt_value INV_IXM42XXX_WOM_X

Definition at line 236 of file Ixm42xxxDriver_HL.h.

## ◆ INV_IXM42XXX_WOM_Y

inv_ixm42xxx_interrupt_value INV_IXM42XXX_WOM_Y

Definition at line 237 of file Ixm42xxxDriver_HL.h.

## ◆ INV_IXM42XXX_WOM_Z

inv_ixm42xxx_interrupt_value INV_IXM42XXX_WOM_Z

Definition at line 238 of file Ixm42xxxDriver_HL.h.

The documentation for this struct was generated from the following file:

- Ixm42xxxDriver_HL.h